## xwatch 2.11

=== src/Makefile ===
# --------------------------------------------------------------------------
#
# Makefile for xwatch
#
# --------------------------------------------------------------------------

# Note: you will need the XForms library to get things compiled. You can
# obtain the library at one of the Linux ftp sites (sunsite.unc.edu,
# tsx-11.mit.edu) or at the primary sites: bloch.phys.uwm.edu:/pub/xforms
# and ftp.cs.ruu.nl:/pub/XFORMS. This XWatch will compile with version 0.81 
# of XForms. If you can't access the primary sites, get bxform-081.tar.gz 
# (or similar) from ftp.icce.rug.nl/pub/unix. That's the Linux ELF version. 
# For other platforms you're on your own, but XForms is available for _lots_
# of systems.

# If you have installed XForms as the Makefile of the package does, you won't
# have any problems compiling all. Otherwise, set XFLIBDIR to "-L..." (the
# directory where the library lives) and XFLIBINC to "-I..." (the directory
# where the include file forms.h lives).
# XFLIBDIR = -L/usr/local/lib
# XFINCDIR = -I/usr/local/inc

# A `make install' will create a stripped version of xwatch and install it
# to BINDIR. Define that directory here. If you want to make the program first
# to check it out, before installing it, must do a `make final' and test the
# program. Then do the "make install" when you're satisfied.
BINDIR = /usr/local/X11/bin
MANDIR = /usr/local/man/man1

# X barfs on too long commandlines (X11R6 does at least). Comment this out
# if you don't want commandline length checks. XWatch might get too long
# commandlines if you do something like "xwatch /var/adm/*".
CMDLINEFLAG = -DMAXCMDLINE=1024

# Where is the with the rgb values. The default is "/usr/lib/X11/rgb.txt".
# Modify the following RGB_FILEFLAG if your file is named differently.
# Thanks, Christian Motschke, motschke@first.gmd.de.
# RGB_FILEFLAG = -DRGB_FILE=\\\"/usr/lib/X11/rgb.txt\\\"

# If you're on a Sun, you might not have the function strerror().
# If the linkage phase barfs about a missing symbol _strerror or something 
# similar, undefine the following:
# STRERROR = strerror.o

# I've seen a report from someone who needed a "-lXpm" flag in the linkage
# phase. I never needed that, but you might, who knows.
# If the linkage fails, try adding the -lXpm to the below STDLFLAGS and
# DEBUGLFLAGS definitions. 

# Standard compilation flags. You probably won't have to change these, if
# you are using gcc.
STDCFLAGS = -c -O2 -Wall $(CMDLINEFLAG) $(RGB_FILEFLAG) $(XFINCDIR)
STDLFLAGS = -s -L/usr/X11R6/lib

# Compilation flags for `make debug'. Again, OK for gcc. Probably only relevant
# for me, the developer. The DEBUGLFLAGS may need -static, depends on your
# compiler and stuff.
DEBUGCFLAGS = -g
DEBUGLFLAGS =

# You have edited enough. Now run `make'.
# 
# --------------------------------------------------------------------------

# Version of this XWatch.
VER = 2.11

# How to get to an object file.
.c.o:
	$(CC) $(CFLAGS) -DVER=\"$(VER)\" $<

# objects we need for the program
OBJ =  xwatch.o usage.o ui.o parsegag.o xmalloc.o xrealloc.o xstrdup.o \
       alarmhandler.o addfile.o scanfile.o parsecolorstring.o \
       warning.o addline.o error.o checksetting.o getcolorindex.o \
       parsegeometry.o parseignore.o colorname2rgb.o parsecolors.o \
       colorname2index.o \
       $(STRERROR)

foobar:
	@echo 'Make what? Choose one of:'
	@echo 'make final : make final version of xwatch'
	@echo 'make debug : make debugging version of xwatch'
	@echo 'make clean : remove objects and binary'
	@echo 'make install : make final version and install to' $(BINDIR)
	@echo 'make dist : make distribution (for me, Karel, only)'
	exit 1

final:
	make xwatch CFLAGS="$(STDCFLAGS)" LFLAGS="$(STDLFLAGS)"

debug:
	make xwatch CFLAGS="$(STDCFLAGS) $(DEBUGCFLAGS)" \
	    LFLAGS="$(DEBUGLFLAGS)"

clean:
	rm -f xwatch $(OBJ) core

install: final
	install -m 755 xwatch $(BINDIR)/xwatch
	install -m 644 ../doc/xwatch.man $(MANDIR)/xwatch.1

xwatch: $(OBJ)
	$(CC) -o xwatch $(OBJ) $(XFLIBDIR) -lforms -lX11 -lm $(LFLAGS)

dist: clean
	header -0ak *.c *.h
	header -rk *.c *.h
	./.makedist $(BINDIR) $(VER)

# extra deps
xwatch.o: xwatch.c Makefile flres.h settings.h data.inc
usage.o: usage.c Makefile
colorname2rgb.o: colorname2rgb.c Makefile

=== debian/changelog ===
xwatch (2.11-16) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #940668)

  [ Peter S Galbraith ]
  * debian/control:
  - Standards-Version: 4.5.0 (no changes)
  - Build-Depends: debhelper-compat (= 13)
  * debian/compat deleted

 -- Peter S Galbraith <psg@debian.org>  Fri, 29 May 2020 09:54:31 -0400

xwatch (2.11-15) unstable; urgency=low

  * Rebuild for libforms2.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Standards-Version: 3.8.4

 -- Peter S Galbraith <psg@debian.org>  Fri, 28 May 2010 17:43:53 -0400

xwatch (2.11-14) unstable; urgency=low

  * Bug fix: "FTBFS: xwatch.h:33:23: error: X11/forms.h: No such file or
    directory", thanks to Lucas Nussbaum (Closes: #551230). Adapt to new
    libforms1.
  * debhelper 7 compatibility.  Created debian/compat.
  * Updated menu section to Applications/System/Monitoring.

 -- Peter S Galbraith <psg@debian.org>  Fri, 16 Oct 2009 15:01:35 -0400

xwatch (2.11-13) unstable; urgency=low

  * Bug fix: "xwatch: Missing alternative dependency on
    system-log-daemon", thanks to Michael Biebl (Closes: #464008).

 -- Peter S Galbraith <psg@debian.org>  Wed, 26 Mar 2008 21:01:23 -0400

xwatch (2.11-12) unstable; urgency=medium

  * Bug fix: "xwatch: FTBFS: bashisms", thanks to Julien Danjou for the
    report.  yodl has changed and an old patch applied to its output no
    longer applied cleanly.  It's no longer needed so I deleted
    it. (Closes: #382620).

 -- Peter S Galbraith <psg@debian.org>  Wed, 30 Aug 2006 22:39:41 -0400

xwatch (2.11-11) unstable; urgency=low

  * Bug fix: "xwatch: segmentation fault", thanks to Ben Hay for reporting
    it and to Göran Weinholt <weinholt@debian.org> for providing the fix!
    (Closes: #312140).
  * Standards version 3.6.2 without changes

 -- Peter S Galbraith <psg@debian.org>  Tue, 20 Sep 2005 20:21:56 -0400

xwatch (2.11-10) unstable; urgency=low

  * Created debian/compat with "3" as contents.
  * Build-Depends: debhelper (>= 3) accordingly.  Bug fix: "xwatch: build
    dependency on debhelper must be versioned", thanks to Adrian Bunk
    (Closes: #260558).
  * Updated build-depends, removing old xlibs-dev.
  * Standards version 3.6.1 without changes
  * debian/menu: Quote two unquoted strings.
  * debian/menu: Removed icon entry since it referred to mini-eyes.xpm
    provided by the fvwm95-icons package.

 -- Peter S Galbraith <psg@debian.org>  Wed, 21 Jul 2004 10:56:50 -0400

xwatch (2.11-9) unstable; urgency=low

  * Move to main from contrib!
  * Standards version 3.5.8; Tweaked rules file.

 -- Peter S Galbraith <psg@debian.org>  Tue, 10 Dec 2002 20:39:39 -0500

xwatch (2.11-8) unstable; urgency=low

  * src/xwatch.h: Add "#include <time.h>" to xwatch.h so it builds with
    current glibc (closes: #98891).

 -- Peter S Galbraith <psg@debian.org>  Mon, 28 May 2001 09:49:09 -0400

xwatch (2.11-7) unstable; urgency=low

  * Put xwatch.1 man page under /usr/share/man instead of /usr/man
  * whatis parse for xwatch(1) fixed (closes: #88512)

 -- Peter S Galbraith <psg@debian.org>  Wed,  7 Mar 2001 22:37:33 -0500

xwatch (2.11-6) unstable; urgency=low

  * Fix typo (missing slash) in /usr/lib/menu/xwatch (closes: #81740)
  * Add a few log filenames to /usr/lib/menu/xwatch while I'm at it.

 -- Peter S Galbraith <psg@debian.org>  Wed, 10 Jan 2001 09:30:00 -0500

xwatch (2.11-5) unstable; urgency=low

  * Moved /usr/X11R6/lib/X11/app-defaults/XWatch to /etc/X11/app-defaults/
    and made it a conffile.
  * Added build-depends.
  * Conforms to Standards-Version 3.1.1 (except for app-defaults above,
    which is not in policy yet).
  * Moved /usr/X11R6/bin/xwatch to /usr/bin/ .

 -- Peter S Galbraith <psg@debian.org>  Wed,  3 Jan 2001 14:27:08 -0500

xwatch (2.11-4) unstable; urgency=low

  * Docs referred to README.debian instead of README.Debian
    Closes: #51435

 -- Peter S Galbraith <psg@debian.org>  Mon, 29 Nov 1999 14:36:57 -0500

xwatch (2.11-3) unstable; urgency=low

  * Update to policy 3.0.1 (/usr/doc/xwatch -> /usr/share/doc/xwatch)
  * added /usr/share/xwatch/rgb.txt until /usr/X11R6/lib/X11/rgb.txt is
    moved into a small client-side package (ref. bug #29814).
    - Small edit of colorname2rgb.c was necessary (and debian/rules file)
  
 -- Peter S Galbraith <psg@debian.org>  Thu, 21 Oct 1999 14:20:38 -0400

xwatch (2.11-2) unstable; urgency=low

  * src/addline.c: small patch to remove horizontal scrollbar when not
    needed.  Closes bug #43157.
  * Edited docs to reflect X reorganization; /etc/X11/Xresources is now a
    directory and not a file.  System adminitrators who want to customize
    xwatch globally should now create a file /etc/X11/Xresources/xwatch
    for these configurations.

 -- Peter S Galbraith <psg@debian.org>  Wed, 18 Aug 1999 10:17:23 -0400

xwatch (2.11-1) unstable; urgency=low

  * New upstream release created by Debian maintainer.
     New license (GPL + permission to link against XForms).
     Also added the Debian man page to upstream package.
     Makefile did not build properly
      ui.h and xwatch.c now have #include <X11/forms.h>
      Hacked the makefile a little to add library path.
  * Closes bug #35157: xwatch is not distributable
	
 -- Peter S Galbraith <psg@debian.org>  Mon,  7 Jun 1999 11:15:55 -0400

xwatch (2.10-3) unstable; urgency=low

  * Work around bug 30622, 30624, 30637 and 30828 which are all the same
    and should be against wmaker anyway.  I understand that it's menu 
    interface sees "/path/*" as a C-style comment beginning and bugs out.
  * Added `Version' and `Section' lines to .deb 
  
 -- Peter S Galbraith <psg@debian.org>  Thu, 17 Dec 1998 14:20:03 -0500

xwatch (2.10-2) unstable; urgency=low

  * Linked against libforms0.88 intsead of oldlibs libforms0.86
    Closes bug 30722.
  * Fixed postinst and postrm.
  * Moved to section admin.
  
 -- Peter S Galbraith <psg@debian.org>  Tue, 15 Dec 1998 09:10:07 -0500

xwatch (2.10-1) unstable; urgency=low



=== debian/control ===
Source: xwatch
Section: admin
Priority: optional
Maintainer: Peter S Galbraith <psg@debian.org>
Build-Depends: debhelper-compat (= 13), libforms-dev, yodl
Standards-Version: 4.5.0

Package: xwatch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: rsyslog | system-log-daemon
Description: logfile monitor that displays in an X window. 
 The displayed logs are colour-coded according to severity.  Basically, you
 get to see what's going on _during_ say a break-in, instead of having to
 check the logfiles after the damage is done. Of course, you need to have
 the syslog daemons configured right, so that the logfiles are
 created. Xwatch reads options from its commandline as well as from a
 app-defaults resource file.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=xwatch
prefix=usr/share
docprefix=${prefix}/doc/${package}
htmlprefix=${prefix}/doc/${package}/html

build:
	$(checkdir) 
	dh_auto_build --sourcedirectory=src -- final "STDLFLAGS=-L/usr/lib" "RGB_FILEFLAG = -DRGB_FILE=\\\"/usr/share/xwatch/rgb.txt\\\""
	cd src; touch build

clean:
	$(checkdir)
	cd src; rm -f build
	cd src; make clean
#	-rm -f `find . -name "*~"`
#	-rm -rf debian/xwatch debian/files* core debian/substvars
# dh_clean wants to remove src/*.orig files
	-mv src/addline.c.orig src/addline.c-orig
	-mv src/.makedist.orig src/.makedist-orig
	dh_clean
	-mv src/addline.c-orig src/addline.c.orig 
	-mv src/.makedist-orig src/.makedist.orig
	-rm -rf doc/tmp

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/xwatch
	install -d debian/xwatch/etc/X11/app-defaults
	install -d debian/xwatch/usr/bin
	install -d debian/xwatch/usr/share/man/man1
	install -m 755 src/xwatch `pwd`/debian/xwatch/usr/bin
	install -m 644 XWatch.ap `pwd`/debian/xwatch/etc/X11/app-defaults/XWatch
	install -d doc/tmp
	-cp doc/xwatch.yo doc/tmp
	(cd doc/tmp/; patch < ../../debian/xwatch.yo.debian-patch; yodl2html xwatch && yodl2txt xwatch && yodl2man xwatch )

	install -d debian/xwatch/${htmlprefix}
	install -m 644 doc/tmp/xwatch.txt `pwd`/debian/xwatch/${docprefix}/
	install -m 644 doc/tmp/xwatch.html `pwd`/debian/xwatch/${htmlprefix}/
	install -m 644 doc/tmp/xwatch01.html `pwd`/debian/xwatch/${htmlprefix}/
	install -m 644 doc/tmp/xwatch02.html `pwd`/debian/xwatch/${htmlprefix}/
	install -m 644 doc/tmp/xwatch03.html `pwd`/debian/xwatch/${htmlprefix}/
	install -m 644 doc/tmp/xwatch04.html `pwd`/debian/xwatch/${htmlprefix}/
	install -m 644 doc/tmp/xwatch05.html `pwd`/debian/xwatch/${htmlprefix}/
	(cd debian/xwatch/${htmlprefix} ; ln -s xwatch.html index.html)
	install -m 644 doc/tmp/xwatch.man `pwd`/debian/xwatch/usr/share/man/man1/xwatch.1
	rm doc/tmp/*
	rmdir doc/tmp
# Eventually remove this when rgb.txt is included in a smaller client X	file.
	install -d debian/xwatch/usr/share/xwatch
	install -m 644 debian/rgb.txt debian/xwatch/usr/share/xwatch/
	dh_installdirs
	install -m 644 ChangeLog `pwd`/debian/xwatch/${docprefix}/changelog
	gzip --best `pwd`/debian/xwatch/${docprefix}/changelog
	dh_installdocs MAINTAINER.README xwatch.README
	dh_installexamples
	dh_installchangelogs
	dh_installmenu
	dh_installcron
#	dh_installmanpages -pxwatch
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
